Skip to content

bots.botMemory

GET
/v1/bots/{botId}/memory
curl --request GET \
--url https://example.com/v1/bots/example/memory \
--header 'Authorization: Bearer <token>'

Reads the entries of the Bot memory that the caller may see: entries for the caller, for a Channel group that the caller is in, or for everyone who uses the Bot, in the organization of the caller. Nobody can read the memory about another person.

botId
required
string
>= 1 characters <= 128 characters
tags
string
>= 1 characters

Success

Media typeapplication/json
object
entries
required
Array<object>
object
id
required
string
layer
required
string
Allowed values: fact observation pinned
content
required
string
>= 1 characters
tags
required
Array<string>
sources
required
Array
Any of:
object
chat
required
string
item
required
string
confidence
number
status
required
string
Allowed values: active retracted
createdAt
required
number
updatedAt
required
number
invalidatedAt
number
version
required
integer
<= 9007199254740991

Example

{
"entries": [
{
"layer": "fact",
"status": "active"
}
]
}

BotInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: BotInvalid
message
required
string

Example

{
"_tag": "BotInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Forbidden
action
required
string
kind
required
string
field
string
reason
string

Example

{
"_tag": "Forbidden"
}

BotNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: BotNotFound
bot
required
string

Example

{
"_tag": "BotNotFound"
}

@nmnmcc/ability/Authorizer/Pending | BotConflict

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Pending
ticket
required
string
reason
string

Example

{
"_tag": "Pending"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

BotStorageUnavailable | AuthenticationUnavailable | RequestFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PolicyUnavailable

Example

{
"_tag": "PolicyUnavailable"
}